## ros-iron-flexbe-widget 2.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(flexbe_widget)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

install(PROGRAMS
    bin/be_action_server
    bin/be_compress
    bin/be_launcher
    bin/breakpoint
    bin/create_repo
    bin/evaluate_logs
    DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY
    launch
    DESTINATION share/${PROJECT_NAME}
)

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-iron-flexbe-widget (2.3.3-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.3.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.3.1-1jammy) jammy; urgency=high

  * add non-interactive mode to create_repo for CI
  * update create_repo script for new ros2-devel release of https://github.com/FlexBE/flexbe_project_behaviors
  * merge from ros2-devel to reduce spam and missing package handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.3.0-1jammy) jammy; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm
  * remove rclpy from CMakeLists.txt
  * remove unnecessary rclcpp depends
  * include package name in behavior request (requires flexbe_app 3.1+) to allow duplicate behavior names in packages

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.2.0-1jammy) jammy; urgency=high

  * Initiate start up launch in thread safe manner with future (prevent deadlock)
  * Add periodic heartbeat message for number of seconds as Int32
  * Modify to used behavior_id (checksum) and behavior_key consistently
  * package updates; pylint, flake8, and pep257 cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Humble release
  * Modify launcher scripts
  * BehaviorLauncher is-a Node
  * Update script_dir in setup.cfg
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 02 Aug 2022 04:00:00 -0000

ros-iron-flexbe-widget (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 22 Feb 2022 05:00:00 -0000

ros-iron-flexbe-widget (1.3.1-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 11 Dec 2020 05:00:00 -0000

ros-iron-flexbe-widget (1.3.0-1jammy) jammy; urgency=high

  * [flexbe_core] [flexbe_widget] Correctly handle non-existing behaviors in action goals
    (fix #133 <https://github.com/team-vigir/flexbe_behavior_engine/issues/133>)
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_widget] Accept more valid status codes by launcher
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 19 Nov 2020 05:00:00 -0000

ros-iron-flexbe-widget (1.2.5-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/team-vigir/flexbe_behavior_engine/issues/120> from cheffe112/startup_race_condition
    wait for READY status from Behavior Engine before launching behavior to avoid race conditions on startup
  * avoid callback trigger before ready event has been created
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * wait for READY status from Behavior Engine before launching behavior
    Whenever behavior_onboard and be_launcher are launched together, there used to be a race condition of publishing the behavior in behavior_launcher, but the subscriber in behavior_onboard not being ready yet. Hence, behavior_launcher now waits for the READY status to appear on the flexbe/status topic before it actually attempts to launch the behavior.
  * [flexbe_widget] Update evaluate_logs script to new format
  * Merge pull request #118 <https://github.com/team-vigir/flexbe_behavior_engine/issues/118> from StefanFabian/action_server_callback_based
    Using event based action server instead of control loop.
  * Improved preempt logic.
  * Only accept goal if ActionServer is not active.
  * Handle errors before behavior start.
  * Using event based action server instead of control loop.
    Waiting for terminal state of flexbe before setting goal to a terminal state and accepting a new one.
  * Contributors: Philipp Schillinger, Stefan Fabian, Tobias Doernbach

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 14 Jun 2020 04:00:00 -0000

ros-iron-flexbe-widget (1.2.4-1jammy) jammy; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 25 Mar 2020 04:00:00 -0000

ros-iron-flexbe-widget (1.2.3-1jammy) jammy; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_core] [flexbe_widget] Add simple breakpoint feature (see #93 <https://github.com/team-vigir/flexbe_behavior_engine/issues/93>)
  * [flexbe_widget] Support loading files as behavior args for the action server
  * Merge pull request #90 <https://github.com/team-vigir/flexbe_behavior_engine/issues/90> from cjue/patch-1
    Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"
  * Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"


=== debian/control ===
Source: ros-iron-flexbe-widget
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-python, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-pep257 <!nocheck>, ros-iron-flexbe-core, ros-iron-flexbe-mirror, ros-iron-flexbe-msgs, ros-iron-flexbe-onboard, ros-iron-launch-ros, ros-iron-rclpy, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/flexbe_core
Standards-Version: 3.9.2

Package: ros-iron-flexbe-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-flexbe-core, ros-iron-flexbe-mirror, ros-iron-flexbe-msgs, ros-iron-flexbe-onboard, ros-iron-launch-ros, ros-iron-rclpy, ros-iron-ros-workspace
Description: flexbe_widget implements some smaller scripts for the behavior engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-flexbe-widget//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
